<html>
    <head>
        <style>

        </style>
    </head>
    <body>
        <ul id="list">
            <li>Steve Martin-145130</li>
            <li>Ashok Kumar-146682</li>
            <li>Raj Seker-187987</li>
            <li>Ruth Jobs-133333</li>
            <li>Sharan Reddy-114142</li>
            <li>Allu Arjun-154875</li>
            <li>Krishna-155454</li>
            <li>Tharun Kumar-178596</li>
            <li>Yash Gupta-135265</li>
            <li>Nishant Kumar-214123</li>
            <li>ABC-345345</li>
            <li>DEF-123123</li>
            <li>GHI-878454</li>
            <li>JKL-545455</li>
            <li>MNO-987834</li>
            <li>PQR-456212</li>
        </ul>
    </body>
    <script>        
        var li=document.getElementById("list");
        var item=li.getElementsByTagName("li");       
        var newLi=[];
        for (i =0 ;i<item.length;i++){
            newLi.push(item[i].innerHTML);           
            var search5 = newLi[i].toString();          
            if(search5.search("5") != -1){
                document.getElementsByTagName("li")[i].setAttribute("id",search5);
                console.log(item[i])
                highlight(item[i].id,"coral");
            }
        }
        function highlight(name,color){
            var a = document.getElementById(name);
            a.style.color = color;
            a.style.fontWeight = "bold";
        }
    </script>
</html>